/*
@licstart  The following is the entire license notice for the
JavaScript code in this page.

Copyleft 2017 | Heckyel

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

@licend  The above is the entire license notice
for the JavaScript code in this page.
*/

(function(){
    var formulario = document.getElementById('formulario'),
        nombre = formulario.name,
        correo = formulario.email,
        mensaje = formulario.content,
        error = document.getElementById('error');

    function validarNombre(e){
        if(nombre.value == '' || nombre.value == null){
            console.info('Por favor completa el nombre');
            error.style.display = 'block';
            error.innerHTML = error.innerHTML + '<li>Por favor completa el nombre</li>';
            e.preventDefault();
        }
    }

    function validarCorreo(e){
        if(correo.value == '' || correo.value == null){
            console.info('Por favor completa el correo');
            error.style.display = 'block';
            error.innerHTML = error.innerHTML + '<li>Por favor completa el correo</li>';
            e.preventDefault();
        }
    }

    function validarMensaje(e){
        if(mensaje.value == '' || mensaje.value == null){
            console.info('Por favor completa el mensaje');
            error.style.display = 'block';
            error.innerHTML = error.innerHTML + '<li>Por favor completa el mensaje</li>';
            e.preventDefault();
        }
    }

    function validarFormulario(e){
        error.innerHTML = '';
        error.style.display = 'none';
        validarNombre(e);
        validarCorreo(e);
        validarMensaje(e);
    }

    formulario.addEventListener('submit', validarFormulario);
}());
